'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 30 April 2023 at 5:21:44 pm'!

!ScratchScriptEditorMorph methodsFor: 'private'!
addReadouts
	"Add readouts for my target's position and direction."

	| x y label readout s sFrame |
	self deleteReadouts.
	readoutMorphs _ OrderedCollection new.
	sFrame _ self ownerThatIsA: ScratchFrameMorph.

	x _ thumbnailMorph left.
	y _ thumbnailMorph bottom + 5.

	#(('project' projectName) ('port' portName) ('status' currentStatus)) do: [:spec |

		(ScratchTranslator isRTL and: [(spec at: 1) = 'x' or: [(spec at: 1) = 'y']])
			ifTrue: [s _ (':', spec first) asUTF8]
			ifFalse: [s _ (spec first localized, ScratchTranslator colonSuffix)].

		label _ StringMorph new
			contents: s;
			font: (ScratchFrameMorph getFont: #XYReadout);
			position: x@y.

		readout _ (UpdatingStringMorph on: sFrame selector: spec second)
			font: (ScratchFrameMorph getFont: #XYReadoutBold);
			forceUnicodeRendering: true;
			color: (Color gray: 0.2);
			contents: '0000000000000000';  "this sets the readout size"
			growable: false;
			stepTime: 100;
			position: (label right + 4)@y.

		ScratchTranslator isRTL ifTrue:[
			readout rightJustify: true].

		self addMorph: label; addMorph: readout.
		readoutMorphs add: label; add: readout.

		readout startStepping.
		x _ readout right + 2].

	ScratchTranslator isRTL ifTrue: [
		readoutMorphs reversed do: [: m |
			readoutMorphs remove: m.
			readoutMorphs add: m]].

	readoutMorphs _ readoutMorphs asArray.
! !

