'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 1 May 2023 at 6:25:40 pm'!

!MicroPythonBoard methodsFor: 'commands'!
step
	currentState = #disconnect ifTrue: [^ self].
	currentState = #reboot ifTrue: [^ self doRunning].
	count > 0 ifTrue: [count := count - 1].
	currentState = #idle ifTrue: [^ count = 0 ifTrue: [self doIdle] ifFalse: [self doCheckStop]].
	currentState = #opening ifTrue: [^ count = 0 ifTrue: [self doOpening]].
	currentState = #connecting ifTrue: [^ count > 0
			ifTrue: [self doConnecting]
			ifFalse: [self closePort]].
	currentState = #running ifTrue: [^ self doRunning].
	currentState = #ready ifTrue: [^ count > 0
			ifTrue: [self doSend]
			ifFalse: [self doOpening]].
	self error: 'invalid state'! !

!MicroPythonBoard methodsFor: 'private'!
doCheckStop
	interrupt = #stop ifFalse: [^ self].
	self openPort: portName.
	self portIsOpen ifFalse: [^ self].
	self doStop! !


!ScratchFrameMorph methodsFor: 'menu/button actions'!
stopAll
	"Tell my workPane to stop everything."
	| oldJustSaved |
	oldJustSaved := justSaved.
	workPane stopAll.
	mpboard stop.
	justSaved := oldJustSaved.! !

ScratchFrameMorph removeSelector: #stopMpBoard!
