'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 15 September 2022 at 5:17:09 pm'!

!ScratchScriptEditorMorph methodsFor: 'menu/button ops'!
saveScriptsToImage
	"Take a snapshot of all scripts for a sprite and save as a GIF file"

	| fName saveForm |

	saveForm _ pageViewerMorph contents screenshot.

	saveForm ifNil: [ ^ self ].

	fName _ ScratchFileChooserDialog
		chooseNewFileDefault: ''
		title: 'Save Scripts Snapshot'
		type: #scriptsSnapshot.
	fName = #cancelled ifTrue: [^ self].
	fName size = 0 ifTrue: [^ self].

	(fName asLowercase endsWith: '.gif') ifFalse: [fName _ fName, '.gif'].
	saveForm writeGIFFileNamed: fName.
! !


!ScratchScriptsMorph methodsFor: 'screenshot'!
screenshot
	"answer a Form of myself apt for exporting"

	| saveForm leftX topY rightX bottomY |

	submorphs isEmpty ifTrue: [ ^ nil ].

	screenshooting _ true.
	self changed.
	saveForm _ self imageForm.

	"clip"

	leftX _ submorphs anyOne left.
	topY _ submorphs anyOne top.
	rightX _ submorphs anyOne right.
	bottomY _ submorphs anyOne bottom.
	(self allMorphs select: [:m | m ~= self]) do: [:m |
		leftX _ leftX min: m left.
		topY _ topY min: m top.
		rightX _ rightX max: m right.
		bottomY _ bottomY max: m bottom].
	saveForm _ saveForm copy: (((leftX @ topY) - self position) rect: ((rightX @ bottomY) - self position)).

	screenshooting _ false.
	self changed.
	^ saveForm
! !

