'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 1 May 2023 at 8:41:32 am'!
Object subclass: #MicrobitCode
	instanceVariableNames: 'generator stream varNo modules listVars vars neoPixels i2c servo newlineString '
	classVariableNames: 'Firmware LedDict MusicDict SensorDict '
	poolDictionaries: ''
	category: 'Microwitch-Translator'!

!MicrobitCode methodsFor: 'arg generator'!
variableArgString: aString
	^ aString! !

!MicrobitCode methodsFor: 'code generator'!
generateHeaderOf: aWorkpane 
	stream nextPutAll: 'from microbit import *';
	 nextPutAll: newlineString.
	modules do: [:each | each generateHeaderOn: stream withNewline: newlineString].
	stream nextPutAll: newlineString.
	self generateInitListsIn: aWorkpane lists.
	self generateI2CInit.
	self generateServoSettings! !

!MicrobitCode methodsFor: 'initialization'!
initialize
	super initialize.
	varNo := 0.
	modules := Set new.
	listVars := Set new.
	neoPixels := Set new.
	i2c := false.
	servo := Set new.
	newlineString := String lf.! !

!MicrobitCode methodsFor: 'variables blocks'!
changeVarby: aMorph
	| args var val |
	args := aMorph blockArgs.
	var := args first choice.
	val := args second argString: generator.
	stream nextPutAll: var.
	stream nextPutAll:  ' = '.
	stream nextPutAll: var.
	stream nextPutAll:  ' + '.
	stream nextPutAll: val.! !

!MicrobitCode methodsFor: 'variables blocks'!
setVarto: aMorph
	| args var val |
	args := aMorph blockArgs.
	var := args first choice.
	val := args second argString: generator.
	stream nextPutAll: var.
	stream nextPutAll:  ' = '.
	stream nextPutAll: val.! !

MicrobitCode removeSelector: #generateInitVar:in:!
MicrobitCode removeSelector: #generateInitVarsIn:!
MicrobitCode removeSelector: #useVar:!
Object subclass: #MicrobitCode
	instanceVariableNames: 'generator stream varNo modules listVars neoPixels i2c servo newlineString '
	classVariableNames: 'Firmware LedDict MusicDict SensorDict '
	poolDictionaries: ''
	category: 'Microwitch-Translator'!
