'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 26 March 2020 at 12:33:32 pm'!

!MicrobitCode methodsFor: 'operators blocks'!
isbetweenand: aMorph 
	| args x a b |
	args := aMorph blockArgs.
	x := args first argString: generator.
	a := args second argString: generator.
	b := args third argString: generator.
	^ '(' , a asString , ')<(' , x asString , ')<(' , b asString , ')'! !


!ScriptableScratchMorph methodsFor: 'other ops'!
is: x between: a and: b 
	^ x >= a and: [x <= b]! !


!ScriptableScratchMorph class methodsFor: 'microwitch'!
operatorsBlocks
	^ #(
		'operators'
			('%n + %n'						r	x:plusY: - -)
			('%n - %n'						r	x:minusY: - -)
			('%n * %n'						r	x:mulY: - -)
			('%n / %n'						r	x:divY: - -)
			('%n mod %n'					r	x:modY: - -)
			-
			('pick random %n to %n'		r	randomFrom:to: 1 10)
			('set random seed to %n'		-	setRandomSeed: 1234)
			-
			('%s < %s'						b	less:than: '' '')
			('%s = %s'						b	equal:to: '' '')
			('%s > %s'						b	more:than: '' '')
			('%n between %n and %n'
												b	is:between:and:	5 1 10)
			('%s is None'				b	isNone:)
			-
			('%b and %b'				b	x:andY:)
			('%b or %b'					b	x:orY:)
			('not %b'						b	not:)
			('true'							b	true)
			('false'							b	false)
			-
			('string of %n'				r	stringOf:	0)
			('number of %s'			r	numberOf: '123')
			('join %s %s'				r	concatenate:with: 'hello ' 'world')
			('letter %n of %s'			r	letter:of: 0 'world')
			('length of %s'				r	stringLength: 'world')
			('any of %s'					r	anyOf: )
			-
			('round %n'					r	rounded -)
			('abs %n'						r	abs -)
			('abs %n sign %n'			r	abs:sign:	- -)
			-
			('%f of %n'					r	computeFunction:of: 'sqrt' 10)
	)! !

