'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 4 April 2023 at 9:28:08 am'!

!MicroPythonBoard methodsFor: 'commands'!
show: aString 
	| stream |
	stream := WriteStream on: String new.
	stream nextPutAll: 'display.scroll("'.
	stream nextPutAll: aString.
	stream nextPutAll: '")'.
	self request: stream contents! !


!ScratchFrameMorph methodsFor: 'microwitch'!
sendMicroPythonScript
	| script code |
	self currentHatBlocks isEmpty ifTrue: [^ self].
	self hasDuplicateHatBlocks ifTrue: [^ DialogBoxMorph inform: 'has duplicate hat blocks.' localized].
	mpboard isConnecting ifFalse: [self connectMicrobit].
	mpboard isConnecting ifFalse: [^ self].
	self stopAll.
	code := MicrobitCode new newlineCR.
	script := code pythonScriptFrom: self currentHatBlocks stageMorph: workPane.
	self uploadExternalModules: code externalModules.
	mpboard write: script fileNamed: 'main.py'.
	mpboard show: 'ok'.
	mpboard reboot! !

