'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 27 March 2020 at 9:36:43 am'!

!MicrobitCode methodsFor: 'control blocks' stamp: 'EiichiroIto 3/27/2020 09:04'!
print: aMorph
	stream nextPutAll: (self unaryFunction: 'print' of: aMorph).! !

!MicrobitCode methodsFor: 'io blocks' stamp: 'EiichiroIto 3/27/2020 09:28'!
setServomsec: aMorph 
	| args str |
	args := aMorph blockArgs.
	self useServo: args first evaluate.
	self generatePin: args first.
	stream nextPutAll: '.set_analog_period('.
	str := args second argString: generator.
	stream nextPutAll: str;
	 nextPutAll: ')'! !


!MicrobitSpriteMorph methodsFor: 'io blocks' stamp: 'EiichiroIto 3/27/2020 09:29'!
setServo: pin msec: msec
	Transcript show: 'setServo: ';
	 show: pin;
	 show: ' msec: ';
	 show: msec;
	 cr! !

!MicrobitSpriteMorph methodsFor: 'control ops'!
panic: aNumber 
	Transcript show: 'panic: ';
	 show: aNumber;
	 cr! !

!MicrobitSpriteMorph methodsFor: 'control ops' stamp: 'EiichiroIto 3/27/2020 09:04'!
print: aString 
	Transcript show: 'print: ';
	 show: aString;
	 cr! !


!MicrobitSpriteMorph class methodsFor: 'block specs'!
additionalControlBlocks
	^ #(
		'control'
			('wait %n msecs'			t	mwait:elapsed:from: 1000)
			('panic %n'					-	panic: 0)
			('nop %s'						-	print:	'')
			-
	)! !

!MicrobitSpriteMorph class methodsFor: 'block specs'!
ioBlocks
	^ #(
		'io'
			('button %M is pressed'			b		buttonIsPressed:)
			('button %M was pressed'		b		buttonWasPressed:)
			('count of button %M pressed'		r		countOfButtonPressed:)
			-
			('digital read pin %n'				r		readDigital: 0)
			('digital write pin %n to %n'	-		writeDigital:to: 0 0) 
			('analog read pin %n'				r		readAnalog: 0)
			('analog write pin %n to %n'	- 		writeAnalog:to: 0 0)
			('analog set period pin %n to %n usec'	- setAnalogPeriod:msec: 0 500)
			('pin %n is touched'					b		pinIsTouched: 0)
			-
			('servo write pin %j to %n degrees'		-		writeServo:to:					0 180)
			('servo set pin %j %n msec %n to %n'	-		setServo:msec:min:max:	0	5	100	500)
			('servo set pin %j %n msec'					-		setServo:msec:					0	5)
			-
			('I2C read addr %n'					r	i2cRead:	0)
			('I2C write addr %n data %L'	-	i2cWrite:list:	0)
		'neoPixel'
			('set %n to r %n g %n b %n of NeoPixel pin %k'		-		setNo:r:g:b:neoPixel: 0 255 255 255 '')
			('show NeoPixel of pin %k'								-		showNeoPixel:)
			('clear NeoPixel of pin %k'								-		clearNeoPixel:)
		)! !

