'From MIT Squeak 0.9.4 (June 1, 2003) [No updates present.] on 4 April 2023 at 1:16:27 pm'!
Object subclass: #MicroPythonBoard
	instanceVariableNames: 'port portName currentState response count requests returnValue interrupt '
	classVariableNames: 'PasteModeString PromptString UseAllPorts '
	poolDictionaries: ''
	category: 'MicroPython-Board'!

!MicroPythonBoard methodsFor: 'commands'!
write: aString fileNamed: aFilename 
	| cmd tmp |
	"Transcript cr; show: 'sending '; show: aFilename."
	cmd := 'f = open(''' , aFilename , ''', ''w'')'.
	self request: cmd.
	aString lines do: 
		[:each | 
		tmp := each copyReplaceAll: '''' with: '\'''.
		cmd := 'f.write(''' , tmp , '\n'')'.
		self request: cmd].
	cmd := 'f.close()'.
	self request: cmd! !

!MicroPythonBoard methodsFor: 'initialize'!
initialize
	super initialize.
	currentState := #disconnect.
	requests := OrderedCollection new.
	response := ''.
	portName := ''.
	count := 0! !

!MicroPythonBoard methodsFor: 'private'!
doSend
	self portIsOpen ifFalse: [^ self closePort].
	requests isEmpty
		ifTrue: 
			[interrupt = #reboot ifTrue: [self doReboot].
			^ self].
	self clearResponse.
	port flushInputBuffer.
	self sendRequestUsingPasteMode.
	requests := OrderedCollection new.
	self setupRunning! !

MicroPythonBoard removeSelector: #sendRequestUsingRawMode!
